FOLLOW_PFN(9)

NAME
follow_pfn - look up PFN at a user virtual address

SYNOPSIS

int follow_pfn(struct vm_area_struct * vma, unsigned long address, unsigned long * pfn);

ARGUMENTS

vma
    memory mapping

address
    user virtual address

pfn
    location to store found PFN

DESCRIPTION

Only IO mappings and raw PFN mappings are allowed.

Returns zero and the pfn at pfn on success, -ve otherwise.

COPYRIGHT